memory_resource File Reference

Go to the source code of this file.

## Classes

class | std::pmr::memory_resource
struct | std::pmr::pool_options
class | std::pmr::synchronized_pool_resource
class | std::pmr::unsynchronized_pool_resource

## Namespaces

| std

## Macros

#define | __cpp_lib_memory_resource
#define | _GLIBCXX_MEMORY_RESOURCE

## Functions

memory_resource * | std::pmr::get_default_resource () noexcept
memory_resource * | std::pmr::new_delete_resource () noexcept
memory_resource * | std::pmr::null_memory_resource () noexcept
bool | std::pmr::operator!= (const memory_resource &__a, const memory_resource &__b) noexcept
template<typename _Tp1 , typename _Tp2 >
bool | std::pmr::operator!= (const polymorphic_allocator< _Tp1 > &__a, const polymorphic_allocator< _Tp2 > &__b) noexcept
bool | std::pmr::operator== (const memory_resource &__a, const memory_resource &__b) noexcept
template<typename _Tp1 , typename _Tp2 >
bool | std::pmr::operator== (const polymorphic_allocator< _Tp1 > &__a, const polymorphic_allocator< _Tp2 > &__b) noexcept
memory_resource * | std::pmr::set_default_resource (memory_resource *__r) noexcept

## Detailed Description

This is a Standard C++ Library header.

Definition in file memory_resource.